Bug 42197 - [patch] make ports/editors GNOMENG aware
[patch] make ports/editors GNOMENG aware
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: obrien
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-30 12:10 UTC by edwin
Modified: 2003-09-20 05:41 UTC (History)
0 users

See Also:


Attachments
file.diff (3.87 KB, patch)
2002-08-30 12:10 UTC, edwin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description edwin 2002-08-30 12:10:02 UTC
    make ports/editors GNOMENG aware

Fix: editors/gnotepad+
    editors/gxedit
    editors/manedit
    editors/vim
    editors/vim5
    editors/xemacs-devel
    editors/xemacs-devel-mule
How-To-Repeat: 
    n/a
Comment 1 lioux freebsd_committer 2002-08-30 14:36:13 UTC
Responsible Changed
From-To: freebsd-ports->obrien

Patches committed but the vim* ones. Over to vim* maintainer for 
reviewing
Comment 2 obrien freebsd_committer 2002-10-19 19:07:30 UTC
With out some background on what GNOMENG is and what setting GNOMENG implies,
I'm not making any changes to the vim port.

Also, why is this part of the diff?

--- editors/vim/Makefile.old    Fri Aug 30 20:44:00 2002
+++ editors/vim/Makefile        Fri Aug 30 21:00:18 2002
@@ -141,10 +143,10 @@
 post-install:
        [ -e ${PREFIX}/bin/gvim ] || (cd ${PREFIX}/bin ; ${LN} -sf vim gvim)
        #       below needed for `vim-lite' port
-       ${TEST} -e ${PREFIX}/bin/rgvim  || (cd ${PREFIX}/bin ; ${LN} -sf vim rgvim) 
+       ${TEST} -e ${PREFIX}/bin/rgvim  || (cd ${PREFIX}/bin ; ${LN} -sf vim rgvim)
        ${TEST} -e ${PREFIX}/bin/gview  || (cd ${PREFIX}/bin ; ${LN} -sf vim gview)
        ${TEST} -e ${PREFIX}/bin/rgview || (cd ${PREFIX}/bin ; ${LN} -sf vim rgview)
-       ${TEST} -e ${PREFIX}/bin/evim   || (cd ${PREFIX}/bin ; ${LN} -sf vim evim) 
+       ${TEST} -e ${PREFIX}/bin/evim   || (cd ${PREFIX}/bin ; ${LN} -sf vim evim)
Comment 3 edwin 2002-10-19 23:37:01 UTC
On Sat, Oct 19, 2002 at 11:07:30AM -0700, David O'Brien wrote:
> With out some background on what GNOMENG is and what setting GNOMENG implies,
> I'm not making any changes to the vim port.

Please see http://www.freebsd.org/gnome/docs/porting.html for the
explanation.

> Also, why is this part of the diff?

Just to clean up portlint-warnings:
    [/usr/ports/editors/vim] edwin@k7>portlint 
    [...]
    WARN: Makefile 146: whitespace before end of line.
    WARN: Makefile 149: whitespace before end of line.

Edwin

-- 
Edwin Groothuis      |            Personal website: http://www.MavEtJu.org
edwin@mavetju.org    |    Weblog: http://www.mavetju.org/weblog/weblog.php 
bash$ :(){ :|:&};:   | Interested in MUDs? http://www.FatalDimensions.org/
Comment 4 Edwin Groothuis freebsd_committer 2003-09-20 05:41:14 UTC
State Changed
From-To: open->closed

GNOMENG stage is over.